<center><a href="mathematica.h">Actual source code: mathematica.h</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:17:22+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a><font color="#B22222">/* </font>
<a name="line2">  2: </a><font color="#B22222">   This is the definition of the Mathematica viewer structure.</font>
<a name="line3">  3: </a><font color="#B22222">*/</font>

<a name="line5"> 5: </a> #include <A href="../../../../../src/sys/viewer/viewerimpl.h.html">src/sys/viewer/viewerimpl.h</A>
<a name="line6"> 6: </a> #include <A href="../../../../../include/petscsys.h.html">petscsys.h</A>
<a name="line7">  7: </a><font color="#A020F0">#ifdef PETSC_HAVE_MATHEMATICA</font>
<a name="line8">  8: </a><font color="#A020F0">#include </font><font color="#666666">"mathlink.h"</font><font color="#A020F0"></font>
<a name="line9">  9: </a><font color="#A020F0">#endif</font>

<a name="line11"> 11: </a><font color="#4169E1">typedef</font> <font color="#4169E1">enum</font> {MATHEMATICA_LINK_CREATE, MATHEMATICA_LINK_CONNECT, MATHEMATICA_LINK_LAUNCH} LinkMode;

<a name="line13"> 13: </a><font color="#4169E1">typedef</font> <font color="#4169E1">struct</font> {
<a name="line14"> 14: </a><font color="#A020F0">#ifdef PETSC_HAVE_MATHEMATICA</font>
<a name="line15"> 15: </a>  MLINK        link;         <font color="#B22222">/* The link to Mathematica */</font>
<a name="line16"> 16: </a><font color="#A020F0">#endif</font>
<a name="line17"> 17: </a>  char        *linkname;     <font color="#B22222">/* The name to link to Mathematica on (usually a port) */</font>
<a name="line18"> 18: </a>  char        *linkhost;     <font color="#B22222">/* The host to link to Mathematica on */</font>
<a name="line19"> 19: </a>  LinkMode     linkmode;     <font color="#B22222">/* The link mode */</font>
<a name="line20"> 20: </a>  const char  *objName;      <font color="#B22222">/* The name for the next object passed to Mathematica */</font>
<a name="line21"> 21: </a>} PetscViewer_Mathematica;

<a name="line23"> 23: </a><strong><font color="#4169E1">EXTERN <A href="../../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A> PetscViewerMathematicaSetFromOptions(<A href="../../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>)</font></strong>;
<a name="line24"> 24: </a><strong><font color="#4169E1">EXTERN <A href="../../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A> PetscViewerMathematicaSetLinkName(<A href="../../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, const char *)</font></strong>;
<a name="line25"> 25: </a><strong><font color="#4169E1">EXTERN <A href="../../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A> PetscViewerMathematicaSetLinkPort(<A href="../../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, int)</font></strong>;
<a name="line26"> 26: </a><strong><font color="#4169E1">EXTERN <A href="../../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A> PetscViewerMathematicaSetLinkHost(<A href="../../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, const char *)</font></strong>;
<a name="line27"> 27: </a><strong><font color="#4169E1">EXTERN <A href="../../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A> PetscViewerMathematicaSetLinkMode(<A href="../../../../../docs/manualpages/Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, LinkMode)</font></strong>;
</pre>
</body>

</html>
